 
function setData(key, val) {
	localStorage.setItem('data_' + key, val);
}
function getData(key, clear) {
	var val = localStorage.getItem('data_' + key);
	if(clear == undefined || clear == true) {
		localStorage.removeItem('data_' + key);
	} 

	return val;
}

function getType() {
	var u = navigator.userAgent;
	if(u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) { //安卓手机
		return "ANDROID_CLIENT";
	} else if(u.indexOf('iPhone') > -1) { //苹果手机
		return "IOS_CLIENT";
	} else {
		return "no"
	}
}

var json = function(params) {
	if(params.isloading == true) {
		showMineLoading();
	}

	var version = getData('version', false);
	var app_source = getType();
	if(params.data == undefined) {
		params.data = {
			'app_version': version,
			'app_source': app_source
		};
	} else {
		params.data['app_version'] = version;
		params.data['app_source'] = app_source;
	}
	//params.data['version'] = window.app_version;
	mui.ajax(
		params.url, {
			data: params.data,
			dataType: 'jsonp',
			type: params.type,
			timeout: 5000,
			beforeSend: function() {

			},
			complete: function() {
				 
			},
			xhrFields: params.xhrFields,
			success: function(data) {
				if(params.isloading == true) {
					hideMineLoading();
				}	
				params.success(data);	
				
			},
			error: function(xhr, type, errorThrown) {
				
				if(params.isloading == true) {
					hideMineLoading();
				}
				if(params.error != undefined) {
					params.error(xhr, type, errorThrown);
				} else {

					mui.toast("请检查您当前的网络状态", {
						type: "div"
					});
				}
//				mui.openWindow({
//					url: "../worker/main.html",
//					id: "main_worker",
//					show:{
//						 duration:0,
//						 event:'titleUpdate'
//					}
//				});
				
			}

		}
	);
};

var sKey = "djnre&&$^#ddnw1257e";
function cookie(key, val, expire) {
	var keyName = md5('cookie_' + key);
	if(val != undefined) {
		var data = {};
		if(expire == undefined) {
			expire = 24 * 60 * 60 * 1000;
		} else {
			expire = expire * 1000;
		}
		var expireTime = Date.parse(new Date()) + expire;
		data.val = val;
		data.expire = expire;
		data.expireTime = expireTime;
		var value = encrypt(JSON.stringify(data), sKey); //stringToHex(des(sKey, JSON.stringify(data),1, 0));
		localStorage.setItem(keyName, value);
		//localStorage.setItem(key, val);
	} else {
		var tmp = localStorage.getItem(keyName);
		if(tmp != null && tmp != '') {
			if(decrypt(tmp, sKey).indexOf('{') >= 0) {
				var data = JSON.parse(decrypt(tmp, sKey));
				if(data.expireTime < Date.parse(new Date())) {
					localStorage.removeItem(keyName);
					return '';
				} else {
					data.expireTime = Date.parse(new Date()) + data.expire;
					var value = encrypt(JSON.stringify(data), sKey);
					localStorage.setItem(keyName, value);
					return data.val;
				}
			} else {
				return '';
			}
		} else {
			return '';
		}
	}
}


$.ajax = json;
$.cookie = cookie;

(function(doc, win, undefined) {
	var docEl = doc.documentElement,
		resizeEvt = 'orientationchange' in win ? 'orientationchange' : 'resize',
		recalc = function() {
			var clientWidth = docEl.clientWidth;
			if(clientWidth === undefined) return;
			docEl.style.fontSize = 10 * (clientWidth / 320) + 'px';
		};
	if(doc.addEventListener === undefined) return;
	win.addEventListener(resizeEvt, recalc, false); 
	doc.addEventListener('DOMContentLoaded', recalc, false)
})(document, window);
 
function ksort(inputArr, sort_flags) {
	var tmp_arr = {},
		keys = [],
		sorter, i, k, that = this,
		strictForIn = false,
		populateArr = {};

	switch(sort_flags) {
		case 'SORT_STRING':
			// compare items as strings
			sorter = function(a, b) {
				return that.strnatcmp(a, b);
			};
			break;
		case 'SORT_LOCALE_STRING':
			// compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
			var loc = this.i18n_loc_get_default();
			sorter = this.php_js.i18nLocales[loc].sorting;
			break;
		case 'SORT_NUMERIC':
			// compare items numerically
			sorter = function(a, b) {
				return((a + 0) - (b + 0));
			};
			break;
			// case 'SORT_REGULAR': // compare items normally (don't change types)
		default:
			sorter = function(a, b) {
				var aFloat = parseFloat(a),
					bFloat = parseFloat(b),
					aNumeric = aFloat + '' === a,
					bNumeric = bFloat + '' === b;
				if(aNumeric && bNumeric) {
					return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
				} else if(aNumeric && !bNumeric) {
					return 1;
				} else if(!aNumeric && bNumeric) {
					return -1;
				}
				return a > b ? 1 : a < b ? -1 : 0;
			};
			break;
	}

	// Make a list of key names
	for(k in inputArr) {
		if(inputArr.hasOwnProperty(k)) {
			keys.push(k);
		}
	}
	keys.sort(sorter);

	// BEGIN REDUNDANT
	this.php_js = this.php_js || {};
	this.php_js.ini = this.php_js.ini || {};
	// END REDUNDANT
	strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js
		.ini['phpjs.strictForIn'].local_value !== 'off';
	populateArr = strictForIn ? inputArr : populateArr;

	// Rebuild array with sorted key names
	for(i = 0; i < keys.length; i++) {
		k = keys[i];
		tmp_arr[k] = inputArr[k];
		if(strictForIn) {
			delete inputArr[k];
		}
	}
	for(i in tmp_arr) {
		if(tmp_arr.hasOwnProperty(i)) {
			populateArr[i] = tmp_arr[i];
		}
	}

	return strictForIn || populateArr;
}

//参数认证生成encry
window.createEncry = function createEncry(params, ecnryKey) {
	var str = "";
	var tempParams = ksort(params);
	for(var key in tempParams) {
		if(key != "encry") {
			str += tempParams[key];
		}
	}
	var encry = md5(str + ecnryKey);
	return encry;
}
function encrypt(str, pwd) {
	if(pwd == null || pwd.length <= 0) {
		alert("Please enter a password with which to encrypt the message.");
		return null;
	}
	var prand = "";
	for(var i = 0; i < pwd.length; i++) {
		prand += pwd.charCodeAt(i).toString();
	}
	var sPos = Math.floor(prand.length / 5);
	var mult = parseInt(prand.charAt(sPos) + prand.charAt(sPos * 2) + prand.charAt(sPos * 3) + prand.charAt(sPos * 4) + prand.charAt(sPos * 5));
	var incr = Math.ceil(pwd.length / 2);
	var modu = Math.pow(2, 31) - 1;
	if(mult < 2) {
		alert("Algorithm cannot find a suitable hash. Please choose a different password.  Possible considerations are to choose a more complex or longer password.");
		return null;
	}
	var salt = Math.round(Math.random() * 1000000000) % 100000000;
	prand += salt;
	while(prand.length > 10) {
		prand = (parseInt(prand.substring(0, 10)) + parseInt(prand.substring(10, prand.length))).toString();
	}
	prand = (mult * prand + incr) % modu;
	var enc_chr = "";
	var enc_str = "";
	for(var i = 0; i < str.length; i++) {
		enc_chr = parseInt(str.charCodeAt(i) ^ Math.floor((prand / modu) * 255));
		if(enc_chr < 16) {
			enc_str += "0" + enc_chr.toString(16);
		} else {
			enc_str += enc_chr.toString(16);
		}
		prand = (mult * prand + incr) % modu;
	}
	salt = salt.toString(16);
	while(salt.length < 8) {
		salt = "0" + salt;
	}
	enc_str += salt;
	return enc_str;
}
function decrypt(str, pwd) {
	if(str == null || str.length < 8) {
		alert("A salt value could not be extracted from the encrypted message because it's length is too short. The message cannot be decrypted.");
		return;
	}
	if(pwd == null || pwd.length <= 0) {
		alert("Please enter a password with which to decrypt the message.");
		return;
	}
	var prand = "";
	for(var i = 0; i < pwd.length; i++) {
		prand += pwd.charCodeAt(i).toString();
	}
	var sPos = Math.floor(prand.length / 5);
	var mult = parseInt(prand.charAt(sPos) + prand.charAt(sPos * 2) + prand.charAt(sPos * 3) + prand.charAt(sPos * 4) + prand.charAt(sPos * 5));
	var incr = Math.round(pwd.length / 2);
	var modu = Math.pow(2, 31) - 1;
	var salt = parseInt(str.substring(str.length - 8, str.length), 16);
	str = str.substring(0, str.length - 8);
	prand += salt;
	while(prand.length > 10) {
		prand = (parseInt(prand.substring(0, 10)) + parseInt(prand.substring(10, prand.length))).toString();
	}
	prand = (mult * prand + incr) % modu;
	var enc_chr = "";
	var enc_str = "";
	for(var i = 0; i < str.length; i += 2) {
		enc_chr = parseInt(parseInt(str.substring(i, i + 2), 16) ^ Math.floor((prand / modu) * 255));
		enc_str += String.fromCharCode(enc_chr);
		prand = (mult * prand + incr) % modu;
	}
	return enc_str;
}

//设置系统状态栏的颜色
function plusReady(){
	plus.navigator.setStatusBarBackground( "#333333" );
	plus.navigator.setStatusBarStyle( "UIStatusBarStyleBlackOpaque" ); 
}