var app = new Vue({
    el: '#app',
    data: {
        list: [],
        my_ranking: 0,
        rankObj: { rankName: "", rankImg: "" },
        beat_proportion: "",
        effective_quantity: 0,
        nick_name: "",
        icon_small_url: "../../assest/img/head.png"
    },
    mounted: function () {
        mui.init();
        this.$nextTick(function () {
            mui('#scrolll').scroll({   
                scrollY: true, //是否竖向滚动
                deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
            });
        })
        this.getData();
    },
    methods: {
        jumpToPrivilege: function () {
            mui.openWindow({
                url: '../userInfo/privilege.html',
                id: 'privilege.html'
            })
        },
        getRankObj: function (my_ranking) {   //处理等级
            var rankName = "";
            var rankImg = "";

            if (my_ranking > 50) {
                rankName = '青铜';
                rankImg = 'bronze';
            }
            if (my_ranking >= 17 && my_ranking <= 50) {
                rankName = '白银';
                rankImg = 'silver';
            }
            if (my_ranking >= 11 && my_ranking <= 16) {
                rankName = '黄金';
                rankImg = 'gold';
            }
            if (my_ranking >= 6 && my_ranking <= 10) {
                rankName = '铂金';
                rankImg = 'platinum';
            }
            if (my_ranking >= 1 && my_ranking <= 5) {
                rankName = '钻石';
                rankImg = 'diamonds';
            }

            return { rankName: rankName, rankImg: rankImg }
        },
        getData: function () {
            var _this = this;
            $.ajax({
                url: appPath + 'User/getRanking',
                type: "post",
                xhrFields: {
                    withCredentials: true
                },
                success: function (res) {
                    res.data.ranking_list.forEach(function (node) {
                        if (node.nick_name.length > 10) {
                            node.nick_name = node.nick_name.substring(0, 10) + "..."
                        }
                    })
                    _this.list = res.data.ranking_list;

                    var rankObj = _this.getRankObj(res.data.my_ranking);
                    _this.my_ranking = res.data.my_ranking;
                    _this.rankObj = rankObj;

                    _this.beat_proportion = res.data.beat_proportion;
                    _this.effective_quantity = res.data.effective_quantity;
                    _this.nick_name = res.data.nick_name;
                    if (res.data.icon_small_url && res.data.icon_small_url.length > 0) {
                        _this.icon_small_url = bankLogoUrl + res.data.icon_small_url;
                    }
                }
            })
        }
    }
})