var app = new Vue({
    el: '#app',
    data: {
        itemWidth: 0,          //项目名称宽度
        canTotalMoney: 0,     //可提现金额
        totalMoney: 0,
        serviceFee: 0,//已选中的金额
        list: [],
        isChoosedAll: false,   //是否全选
        choosedList: [],      //选择的项目数组
        total: 0,             //项目总数
        is_idcard: 0,
        free_withdrawal_times: 0,   //是否上传银行卡0未上传 展示提示  1 已上传不展示提示
        select_all: 0,         //0默认分页 1 不分页，展示全部数据
        page: 1,
        limit: 10,
        scroller: {}
    },
    mounted: function () {
        mui.init();
        var _this = this;
        this.$nextTick(function () {
            $(".mui-scroll-wrapper").height(window.screen.height - 70 - 90 - 60);
            _this.itemWidth = window.screen.width - 15 * 2 - 24 - 80;//15是两边的margin  24 是否选中图片的宽度  60 金额的宽度
            mui.ready(function () {
                mui('.mui-scroll-wrapper').scroll({
                    indicators: true
                }); //初始化scroll组件
                // 刷新组件对象
                _this.scroller = mui('.mui-scroll').pullToRefresh({
                    up: {
                        callback: function () {
                            if (_this.page * _this.limit >= _this.total || _this.select_all == 1) return;
                            var self = this;
                            setTimeout(function () {
                                _this.page++;
                                _this.getData();
                                self.endPullUpToRefresh();
                            }, 1500);
                        }
                    }
                });
            });
        })
        this.getData();
    },
    methods: {
        getData: function () {
            console.log(this.page)
            var self = this;
            $.ajax({
                url: appPath + 'MyWallet/getTradeMoneyList',
                // type: 'POST', //GET
                data: {
                    'page': this.page,
                    'limit': this.limit,
                    'select_all': this.select_all
                },
                success: function (result) {
                    if (result.code == 0) {
                        self.total = result.data.total;
                        self.canTotalMoney = result.data.sum;
                        self.is_idcard = result.data.is_idcard;
                        self.free_withdrawal_times = result.data.free_withdrawal_times;
                        result.data.list.forEach(function (node) {
                            node.isChoosed = false;
                        })

                        if (self.select_all == 1) {
                            self.list = result.data.list;
                            self.dealList();
                        }
                        else {
                            if (self.page == 1) {
                                self.list = result.data.list;
                            }
                            else {
                                self.list = self.list.concat(result.data.list);
                            }
                        }

                        if (self.page * self.limit >= self.total || self.select_all == 1) {
                            setTimeout(function () {
                                self.$nextTick(function () {
                                    self.scroller.endPullUpToRefresh(true);
                                })
                            }, 1500);
                        }
                        // if (result.data.is_idcard == 0){
                        //     mui.alert('闪蝠平台为灵活用工平台，也是受税务机关委托代征代缴单位。为保障您的权益，请您尽快上传您的身份证信息。避免年底汇算清缴时出现重复计算及补税问题。', ' ',  '去上传', function(e) {
                        //         pophide();
                        //         mui.openWindow({
                        //             url: '../userInfo/uploadIDcardImg.html',
                        //             id: 'uploadIDcardImg.html'
                        //         })
                        //     }, 'div')
                        // }
                    }
                    else {
                        mui.toast(result.message, {
                            type: 'div'
                        });
                    }


                    // alert(JSON.stringify(self.list))
                },
                error: function (res) {
                    //alert(JSON.stringify(res))
                }
            })
        },
        getTotalMoney: function () {
            this.totalMoney = 0;
            this.serviceFee = 0;
            var self = this;
            this.choosedList.forEach(function (node) {
                self.totalMoney += parseFloat(node.trade_money) * 100 / 100;
                self.serviceFee += parseFloat(node.service_fee) * 100 / 100;
            })
        },
        chooseItem: function (item) {   //选择某一项
            if (item.isChoosed) {
                var index = this.choosedList.indexOf(item);
                this.choosedList.splice(index, 1);
            }
            else {
                this.choosedList.push(item);
            }
            // alert(JSON.stringify(this.choosedList))

            if (this.choosedList.length == this.total) {
                this.isChoosedAll = true;
            }
            else {
                this.isChoosedAll = false;
            }
            item.isChoosed = !item.isChoosed;

            this.getTotalMoney();
        },
        next: function () {  //下一步
            // alert(this.totalMoney);
            //  return;
            if (this.choosedList.length == 0) {
                mui.toast('请勾选要提现的项目', {
                    type: 'div'
                });
                return;
            }
            setData('project_ids', this.choosedList.map(function (item) {
                return item.project_id
            }));
            setData('select_sum', this.totalMoney);
            setData('serviceFee', this.serviceFee);
            setData('free_withdrawal_times', this.free_withdrawal_times);
            if (this.is_idcard == 0) {

                mui.confirm('闪蝠平台为灵活用工平台，也是受税务机关委托代征代缴单位。为保障您的权益，请您尽快上传您的身份证信息。避免年底汇算清缴时出现重复计算及补税问题。', ' ', ['本次跳过', '马上上传'], function (e) {
                    // pophide();
                    if (e.index == 1) {
                        mui.openWindow({
                            url: '../userInfo/uploadIDcardImg.html',
                            id: 'uploadIDcardImg.html'
                        })
                    } else {
                        if (getData('free_withdrawal_times', false) < 3) {
                            var num = Number(3 - getData('free_withdrawal_times', false));
                            var str = '您仅剩' + num + '次跳过机会。若在规定次数范围内未上传身份证信息，可能会影响您后续的提现操作';
                            mui.confirm(str, ' ', ['确认跳过', '马上上传'], function (e) {
                                if (e.index == 1) {
                                    mui.openWindow({
                                        url: '../userInfo/uploadIDcardImg.html',
                                        id: 'uploadIDcardImg.html'
                                    })
                                } else {
                                    mui.openWindow({
                                        url: "transfer.html",
                                        id: "transfer.html",
                                    });
                                }
                            }, 'div')
                        // return false;
                        }else {
                            mui.toast('您的跳过次数已用完，请上传身份信息', {
                                type: 'div'
                            });
                            // return;
                        }
                    }

                }, 'div')
                return false;
            }
            mui.openWindow({
                url: "transfer.html",
                id: "transfer.html",
            });
        },
        explanation: function () {
            mui.openWindow({
                url: "withDrawRule.html",
                id: "withDrawRule.html",
            });
        },
        dealList: function () {
            var self = this;
            this.list.forEach(function (node) {
                node.isChoosed = !self.isChoosedAll;
            });
            if (this.isChoosedAll) {
                this.choosedList = [];
            }
            else {
                this.choosedList = this.list.concat();
            }
            this.isChoosedAll = !this.isChoosedAll;
            this.getTotalMoney();
        },
        choosedAll: function () {   //全选
            if (this.list.length == 0) return;
            if (this.select_all != 1) {
                this.select_all = 1;
                this.getData();
            }
            else {
                this.dealList();
            }
        }
    }
})