window.onload = function () {
    var map = new AMap.Map('amap', {
        zoom: 3
    });
    var projectPosition = JSON.parse(localStorage.getItem("projectPosition"));

    //终点
    var desLongitude = projectPosition.longitude;
    var desLatitude = projectPosition.latitude;
    var address = projectPosition.address;

    //起点
    var srcLongitude = "";
    var srcLatitude = "";

    var marker = new AMap.Marker({
        position: [desLongitude, desLatitude]
    });
    map.add(marker);
    map.setCenter([desLongitude, desLatitude]);
    map.setZoom(15);

    var infoWindow = new AMap.InfoWindow({
        content: "<div>" + address + "</div>",
        position: [desLongitude, desLatitude],
        offset: new AMap.Pixel(0, -33)
    });

    // 打开信息窗体
    infoWindow.open(map);
    mui.plusReady(function () {
        plus.geolocation.getCurrentPosition(function (position) {   //用来判断app定位权限是否开启
            map.plugin('AMap.Geolocation', function () {
                geolocation = new AMap.Geolocation({
                    enableHighAccuracy: true,//是否使用高精度定位，默认:true
                    timeout: 10000,          //超过10秒后停止定位，默认：无穷大
                    maximumAge: 0,           //定位结果缓存0毫秒，默认：0
                    convert: true,           //自动偏移坐标，偏移后的坐标为高德坐标，默认：true
                    showButton: false,        //显示定位按钮，默认：true
                    showMarker: false,        //定位成功后在定位到的位置显示点标记，默认：true
                    showCircle: false,        //定位成功后用圆圈表示定位精度范围，默认：true
                    panToLocation: false      //定位成功后将定位到的位置作为地图中心点，默认：true
                });
                map.addControl(geolocation);
                geolocation.getCurrentPosition();
                AMap.event.addListener(geolocation, 'complete', onComplete);//返回定位信息
                AMap.event.addListener(geolocation, 'error', onError);      //返回定位出错信息
            });
        }, function (err) {
            onError(err);
        }, {
			geocode: true,
			provider: 'amap'
		})

        function onComplete(result){
            srcLongitude = result.position.lng;
            srcLatitude = result.position.lat;
        }

        function onError(err){
            mui.toast("定位失败")
        }


        $(".navi").on('tap', function () {
            if (device_model_version == "IOS_CLIENT") {
                $("#navi").show();
                var UIApplication = plus.ios.importClass("UIApplication");
                var NSURL = plus.ios.importClass("NSURL");

                var app = UIApplication.sharedApplication();

                //是否安装百度地图
                var bdScheme = NSURL.URLWithString("baidumap://");
                var bdinstall = app.canOpenURL(bdScheme);

                if (bdinstall) {
                    $("#bdNavi").show();
                }

                //是否安装高德地图
                var gdScheme = NSURL.URLWithString("iosamap://");
                var gdinstall = app.canOpenURL(gdScheme);
                if (gdinstall) {
                    $("#gdNavi").show();
                }

                plus.ios.deleteObject(gdScheme);
                plus.ios.deleteObject(app);
            }
            else if (device_model_version == 'ANDROID_CLIENT') {
                var main = plus.android.runtimeMainActivity();
                var packageManager = main.getPackageManager();
                var PackageManager = plus.android.importClass(packageManager);
                var appNum = 0;
                try {
                    var bdpackageInfo = packageManager.getPackageInfo('com.baidu.BaiduMap', PackageManager.GET_ACTIVITIES);
                    if (bdpackageInfo) {
                        appNum++;
                        $("#bdNavi").show();
                    }
                    else { }   //未安装
                } catch (e) { //未安装
                }

                try {
                    var gdpackageInfo = packageManager.getPackageInfo('com.autonavi.minimap', PackageManager.GET_ACTIVITIES);
                    if (gdpackageInfo) {
                        appNum++;
                        $("#gdNavi").show();
                    }
                    else { }  //未安装
                } catch (e) { //未安装  
                }

                if (appNum == 0) {
                    $("#sheet1Text").html("仅支持高德或百度地图");
                }
            }
            mui('#sheet1').popover('toggle');
        })
    })

    $("#cancel").on("click", function () {  //点击取消按钮
        mui('#sheet1').popover('toggle');
    })

    $("#navi").on("click", function () {   //自带地图导航
        // 设置目标位置坐标点和起始位置坐标点
        var dst = new plus.maps.Point(desLongitude, desLatitude); // 终点 
        var src = new plus.maps.Point(srcLongitude, srcLatitude); // 起点
        // 调用系统地图显示 
        plus.maps.openSysMap(dst, address, src);
    })

    $("#gdNavi").on("tap", function () {   //高德地图导航
        if (device_model_version == "IOS_CLIENT") {
            window.location.href = "iosamap://navi?sourceApplication=applicationName&lat=" + desLatitude + "&lon=" + desLongitude + "&dev=0&style=2";
        }
        else if (device_model_version == 'ANDROID_CLIENT') {
            window.location.href = "androidamap://navi?sourceApplication=appname&lat=" + desLatitude + "&lon=" + desLongitude + "&dev=0&style=2";
        }
    })

    $("#bdNavi").on("tap", function () {   //百度地图导航
        //高德 gcj02坐标系
        var dst = desLatitude.toString()+","+desLongitude.toString();    //终点
        var src = srcLatitude.toString()+","+srcLongitude.toString(); // 起点
        if (device_model_version == "IOS_CLIENT") {
            window.location.href = "baidumap://map/direction?origin="+src+"&destination="+dst+"&mode=driving&coord_type=gcj02&src=ios.baidu.openAPIdemo";
        }
        else if (device_model_version == 'ANDROID_CLIENT') {
            window.location.href = "baidumap://map/direction?destination="+dst+"&coord_type=gcj02&mode=driving&src=andr.baidu.openAPIdemo";
        }
    })

};